> For the complete documentation index, see [llms.txt](https://docs.chord.co/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.chord.co/chord-oms/products/digital-products.md).

# Digital Products

## Digital Products

## Introduction

Digital Products facilitate a customer's ability to buy and redeem credits. Unlike store credit or gift cards, which represent currency, digital purchases represent singular units. Like a token at an arcade, the customer can redeem their purchase in exchange for something.

Chord OMS supports selling Digital Products out of the box. The OMS does not dictate how digital purchases are redeemed or what they are redeemed for, so there is a lot of flexibility around how they can be used. For example:

* a digital purchase can be redeemed in external applications via the API (in exchange for something within that application)
* a single digital product SKU can generate one or more digital purchases upon order completion (e.g. five tokens for one purchase)
* be delivered via email

## Glossary

#### Digital Product

A product that, when purchased, generates one or more Digital Purchases. It is powered by a traditional product SKU that it converts a Digital Product. A Digital Product stores:

* the product's SKU (variant)
* the quantity of Digital Purchases to generate when that SKU is purchased
* additional metadata for anything related to the digital purchase of that SKU (e.g. a static URL that customers are buying access to)

#### Digital Purchase

The individual token that can be redeemed. It stores:

* whether or not it has been redeemed
* additional metadata for anything related to the specific digital purchase (e.g. an individual identifier of a purchased report)

## Technical Documentation

See the [**API Reference**](https://chord.stoplight.io/docs/chord-oms/b3a68600d0eaa-get-digital-purchase) for the endpoints to:

* get all digital purchases for a given customer
* get a single digital purchase
* redeem and optionally update a digital purchase
* update the metadata for a digital purchase

## Setup

{% hint style="info" %}
Be sure to update your store's website code to pass the `channel` parameter with the value of `digital` when creating a checkout via the **`quick_checkouts`** endpoint. **This adjustment is required to ensure proper handling on the backend.**
{% endhint %}

1. Set `DIGITAL_PURCHASES_ENABLED` in your store settings to `enabled`
2. Create a new product (and variants if required) that will be set up to be a Digital Product.
3. Navigate to the Products tab and click the Digital Products button (on the top right)
4. Add a new Digital Product by adding:
   * the SKU to be converted to a digital product
   * the quantity of Digital Purchases created for that variant, and
   * any metadata that would be helpful store on the Digital Product itself

## Usage

1. The Digital Purchase(s) will automatically be created by checking out with the associated SKU.
2. A Digital Purchase can be redeemed via a [dedicated endpoint](https://chord.stoplight.io/docs/chord-oms/b243618f52cd2-redeem-and-optionally-update-the-metadata-for-a-digital-purchase) with (optional) additional metadata.

## Cancelling a Digital Purchase

When an order is cancelled, any active (i.e. unredeemed) digital purchases will be cancelled (inactivated).

In addition, an active digital purchase may be cancelled/inactivated by clicking the **Stop** button on the Digital Purchases page.

![](https://3559351341-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FGejRW1RLC9yasX56Xzxu%2Fuploads%2Fgit-blob-6d1740266f104345ed87a1831199c89ea3471d1f%2Fdigital-products-1.png?alt=media)

## Advanced Features

**Auto-redemption**

The payload below can be used to add additonal data to digital purchase on checkout. To automatically redeem the digital purchase on the order complete, add `"auto_redeem": true`to the metadata.

{% hint style="info" %}
{ "line\_items\_attributes": \[ { "sku": "product-2", "quantity": 1, "digital\_purchases\_attributes": \[ { "metadata": { "additonal": "data", } }, { "metadata": { "auto\_redeem": true } } ] } ] }
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.chord.co/chord-oms/products/digital-products.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
